astro query:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- astroquery v0.4.11 »
- GAMA Queries (`astroquery.gama`) »
- GAMAClass

# GAMAClass

class astroquery.gama.GAMAClass

  Bases: `BaseQuery`

  TODO: document

  Attributes Summary

  `request_url` |
  `timeout` |

  Methods Summary

  `query_sql`(*args, **kwargs) | Queries the service and returns a table object.
  `query_sql_async`(*args, **kwargs) | Query the GAMA database

  Attributes Documentation

  request_url = 'https://www.gama-survey.org/dr3/query/'
  timeout = 60

  Methods Documentation

  query_sql(*args, **kwargs)

    Queries the service and returns a table object.

    Query the GAMA database

    Returns:
      table A `Table` object.
  query_sql_async(*args, **kwargs)

    Query the GAMA database

    Returns:
      url The URL of the FITS file containing the results.